Sign in to follow this  
adit_aviator

Regarding the latest update

Recommended Posts

Hello,

 

I would like to know how to download the latest update for the 777. I have received a notification in PMDG Operation Center to update to the latest. When I install I get a notepad saying that I should download the full installer and that I have to log into the ecommerce website and go to "view previous orders". I am an ecommerce customer. When I click the download URL within "view previous orders" it says link expired. How can I download the latest installer?

 

Current version I have is 6155

 

Regards,

Adit Maark Yvon

 

 

Share this post


Link to post
Share on other sites
Help AVSIM continue to serve you!
Please donate today!

Hello,

 

I would like to know how to download the latest update for the 777. I have received a notification in PMDG Operation Center to update to the latest. When I install I get a notepad saying that I should download the full installer and that I have to log into the ecommerce website and go to "view previous orders". I am an ecommerce customer. When I click the download URL within "view previous orders" it says link expired. How can I download the latest installer?

 

Current version I have is 6155

 

Regards,

Adit Maark Yvon

You need to purchase a extended download service. You then log on to support and request it and then..they will send it to you but could take a while

Share this post


Link to post
Share on other sites

Ha ha , about time, didnt make much sense having a fancy OPs center and then having to go back to the 48hour exteeendeed service.

 

Onwards and upwards!

Share this post


Link to post
Share on other sites

Current version with FSX/FSXSE compatibility is 1.10.6320.  The OC has a version check to confirm you have the latest.

Share this post


Link to post
Share on other sites

Downloaded again now I have the correct version 6320. They could have given the update (full) through OC itself. Anyways, it is fine and installed.

 

Regards,

Adit Maark Yvon

Share this post


Link to post
Share on other sites

I'm a little confused about this update.  Reading this forum, and Randazzo's obit on EDS, I got the impression that we can no longer use the download from PMDG's ecommerce.  We should use the OC.  The OC tells us to use the e commerce.  I downloaded both the T7 LRF and the 300ER.  Are these the current updates, and how can I check before installing?

 

Thanks,

 

Gnacino

Share this post


Link to post
Share on other sites

Yes, I'd like instructions please on what to do with this update? Do we uninstall our previous versions first as when they are executed, we are asked if we want to 'repair' or 'uninstall'?

Share this post


Link to post
Share on other sites

I just finished both downloads and I went with the repair route and it was quick and so I went back to the OC and it upgraded to 6320 I hope this it...I have to play the Sim.

Please advise if this is the correct way for the upgrade.

 

thanks.

Share this post


Link to post
Share on other sites

do we get an extra activation if the 777 is already activated on our old fsx dvd version?  Or de we need to uninstall the 777 first?

Share this post


Link to post
Share on other sites

 

 


Reading this forum, and Randazzo's obit on EDS, I got the impression that we can no longer use the download from PMDG's ecommerce. We should use the OC.

 

I'm not sure how you came to that conclusion.  Your account history now has active download links for past purchases regardless of date.  In the future, probably many months from now, you will be able to download product via OC.

 

David:  You can have the 777 active on both FSX and FSXSE on the same machine, concurrently. Same license and EULA.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this